using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3152.Domain;

public class TaobaoTbkThorMfrsPromotionQueryManufacturerLaunchOption
{

    /*
        图片按照短边不超过320的方式等比例缩放，转字节流时按jpg格式，压缩率80进行转换
    */
    private string? img;


    /*
        商品副标题
    */
    private string? subTitle;


    /*
        场景类型
    */
    private string? sceneCode;


    /*
        OAID/手机号/imei
    */
    private string? uniqueIdType;


    /*
        价格
    */
    private string? price;


    /*
        媒体pid
    */
    private string? pid;


    /*
        商品标题
    */
    private string? title;


    /*
        sku名
    */
    private string? sku;


    /*
        唯一标识
    */
    private string? uniqueId;


    /*
        商品链接
    */
    private string? url;


    /*
        淘口令
    */
    private string? tbpwd;


    /*
        子场景码：Hivision（拍照识图）、Hitoch（双指按压）
    */
    private string? sceneSubCode;


    /*
        如手淘、京东、抖音、快手
    */
    private string? from;


    /*
        扩展字段
    */
    private string? variableMap;



    [JsonPropertyName("img")]
    public string? Img
    {
        get => img;
        set => this.img = value;
    }

    [JsonPropertyName("sub_title")]
    public string? SubTitle
    {
        get => subTitle;
        set => this.subTitle = value;
    }

    [JsonPropertyName("scene_code")]
    public string? SceneCode
    {
        get => sceneCode;
        set => this.sceneCode = value;
    }

    [JsonPropertyName("unique_id_type")]
    public string? UniqueIdType
    {
        get => uniqueIdType;
        set => this.uniqueIdType = value;
    }

    [JsonPropertyName("price")]
    public string? Price
    {
        get => price;
        set => this.price = value;
    }

    [JsonPropertyName("pid")]
    public string? Pid
    {
        get => pid;
        set => this.pid = value;
    }

    [JsonPropertyName("title")]
    public string? Title
    {
        get => title;
        set => this.title = value;
    }

    [JsonPropertyName("sku")]
    public string? Sku
    {
        get => sku;
        set => this.sku = value;
    }

    [JsonPropertyName("unique_id")]
    public string? UniqueId
    {
        get => uniqueId;
        set => this.uniqueId = value;
    }

    [JsonPropertyName("url")]
    public string? Url
    {
        get => url;
        set => this.url = value;
    }

    [JsonPropertyName("tbpwd")]
    public string? Tbpwd
    {
        get => tbpwd;
        set => this.tbpwd = value;
    }

    [JsonPropertyName("scene_sub_code")]
    public string? SceneSubCode
    {
        get => sceneSubCode;
        set => this.sceneSubCode = value;
    }

    [JsonPropertyName("from")]
    public string? From
    {
        get => from;
        set => this.from = value;
    }

    [JsonPropertyName("variable_map")]
    public string? VariableMap
    {
        get => variableMap;
        set => this.variableMap = value;
    }

}

